use ESS_BCK_language_by_country, clear
drop if cntry=="3000"
drop if cntry=="1000"
drop if cntry=="5000"
drop if cntry=="6000"
drop if cntry=="2000"
drop if cntry=="4000"
drop if cntry=="06"
replace Country="Bolivia Plurinational State of" if Country=="Bolivia (Plurinational State of)"
replace Country="Korea Republic of" if Country=="Korea (the Republic of)"
replace Country="Iran Islamic Republic of" if Country=="Iran (Islamic Republic of)"
replace Country="Moldova Republic of" if Country=="Moldova (the Republic of)"
replace Country="Philippines" if Country=="Philippines (the)"
replace Country="Tanzania United Republic of" if Country=="Tanzania, United Republic of"
replace Country="United Arab Emirates" if Country=="United Arab Emirates (the)"
replace Country="United Kingdom" if Country=="United Kingdom of Great Britain and Northern Ireland (the)"
replace Country="United States" if Country=="United States of America (the)"
replace Country="Venezuela Bolivarian Republic of" if Country=="Venezuela (Bolivarian Republic of)"

keep Country cntry mbrncnt fbrncnt
save country_codes, replace

use ESS_BCK_Country_becker, clear
rename country_1 Country
merge m:1 Country using country_codes, keepusing(cntry)
drop if _merge==2
drop _merge
rename Country country_host
rename cntry cntry_host

rename country_2 Country
merge m:1 Country using country_codes, keepusing(cntry)
drop if _merge==2
drop _merge
rename Country country_parents
rename cntry cntry_parents

keep country_host country_parents std_lingdist std_new_gendist std_genedist std_lingdist_ASJP std_temporal_dist std_diff_total cntry_host cntry_parents

egen becker_combo=concat(cntry_host cntry_parents)

save ESS_BCK_Becker, replace
erase country_codes.dta